HalJsonCollectionRenderer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.rest.render.hal
[Groovy] Class HalJsonCollectionRenderer

    java.lang.Object
      grails.rest.render.AbstractRenderer
          grails.rest.render.AbstractIncludeExcludeRenderer
              grails.rest.render.util.AbstractLinkingRenderer
                  grails.rest.render.hal.HalJsonRenderer
                      grails.rest.render.hal.HalJsonCollectionRenderer

All Implemented Interfaces:
  ContainerRenderer

    class HalJsonCollectionRenderer
    extends HalJsonRenderer

A HAL JSON renderer for a collection of objects

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from class HalJsonRenderer
EMBEDDED_ATTRIBUTE, LINKS_ATTRIBUTE, MIME_TYPE

Fields inherited from class AbstractLinkingRenderer
DEFAULT_EXCLUDES, DEPRECATED_ATTRIBUTE, HREFLANG_ATTRIBUTE, HREF_ATTRIBUTE, RELATIONSHIP_SELF, TEMPLATED_ATTRIBUTE, TITLE_ATTRIBUTE, TYPE_ATTRIBUTE

Property Summary
`java.lang.String` | `collectionName`
`java.lang.Class` | `componentType`

Constructor Summary
`HalJsonCollectionRenderer(java.lang.Class componentType)`
`HalJsonCollectionRenderer(java.lang.Class componentType, MimeType... mimeTypes)`

Method Summary
`protected java.lang.Object` | `renderEmbeddedAttributes(com.google.gson.stream.JsonWriter writer, java.lang.Object object, RenderContext context, MimeType mimeType)`

Methods inherited from class HalJsonRenderer
beginLinks, initialize, renderEmbeddedAttributes, renderInternal, setDateToStringConverter, setGson, writeDomainProperty, writeDomainWithEmbeddedAndLinks, writeLink, writeLinkForCurrentPath, writeLinks, writeSimpleObject, writeSimpleObjectAndLink

Methods inherited from class AbstractLinkingRenderer
getLinkTitle, getLinksForObject, getResourceTitle, isDomainResource, render, renderInternal, writeAssociationLinks, writeDomain, writeDomainProperty, writeExtraLinks, writeLink

Methods inherited from class AbstractIncludeExcludeRenderer
excludesProperty, includesProperty, shouldIncludeProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### collectionName

    java.lang.String collectionName

### componentType

    final java.lang.Class componentType

Constructor Detail

### HalJsonCollectionRenderer

    HalJsonCollectionRenderer(java.lang.Class componentType)

### HalJsonCollectionRenderer

    HalJsonCollectionRenderer(java.lang.Class componentType, MimeType... mimeTypes)

Method Detail

### renderEmbeddedAttributes

    @java.lang.Override
    protected java.lang.Object renderEmbeddedAttributes(com.google.gson.stream.JsonWriter writer, java.lang.Object object, RenderContext context, MimeType mimeType)

Groovy Documentation